Main Page Groups Namespaces

# sigc::internal::temp_slot_list Struct Reference

Temporary slot list used during signal emission. More...

List of all members.

## Public Types
typedef signal_impl::slot_list | slot_list
typedef signal_impl::iterator_type | iterator
typedef signal_impl::const_iterator_type | const_iterator
## Public Member Functions
| temp_slot_list (slot_list& slots)
| ~temp_slot_list ()
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const

## Detailed Description

Temporary slot list used during signal emission.

The signal's slot list is swapped into a temp_slot_list object during signal emission. While slots connected during signal emission are stored in the original list the accumulators work on the temp_slot_list object so that new slots are not executed until the next emission occurs.

## Member Typedef Documentation

typedef signal_impl::const_iterator_type sigc::internal::temp_slot_list::const_iterator

typedef signal_impl::iterator_type sigc::internal::temp_slot_list::iterator

typedef signal_impl::slot_list sigc::internal::temp_slot_list::slot_list

## Constructor & Destructor Documentation

sigc::internal::temp_slot_list::temp_slot_list | ( | slot_list& | slots | ) | `[inline]`

sigc::internal::temp_slot_list::~temp_slot_list | ( |  | ) | `[inline]`

## Member Function Documentation

const_iterator sigc::internal::temp_slot_list::begin | ( |  | ) | const`[inline]`

iterator sigc::internal::temp_slot_list::begin | ( |  | ) | `[inline]`

const_iterator sigc::internal::temp_slot_list::end | ( |  | ) | const`[inline]`

iterator sigc::internal::temp_slot_list::end | ( |  | ) | `[inline]`

The documentation for this struct was generated from the following file:

- signal_base.h